LINUX.ORG.RU
ФорумAdmin

MPPE и Win2k


0

0

Настраиваю vpn - PoPToP 1.1.2, pppd-2.4.1 пропатченный для поддержки mppe... авторизация по chap/ms-chap/ms-chap2 работает, mppe 40/128 судя по логам тоже... однако
1) если подключается win98 (ms-chap2, mppe-40) все отлично работает;
2) если подключается win2k (ms-chap2, mppe-128 или mppe-40 - не принципиально) - подключение проходит нормально, ppp-интерфейс поднимается, в логах пишется что все пучком, но! пакеты не ходят... когда начинаешь пинговть например (или какая другая активность), то в лог валятся сообщения
pppd[xxx]: Protocol-Reject for unsupported protocol 0xXXXX;
3) WinXP ведет себя так же как и Win2k;
4) если отключить шифрование - везде все работает нормально.

pptpd-1.1.2
pppd-2.4.1 пропатченный pppd-2.4.1-openssl-0.9.6-mppe-patch
ядро 2.2.23 пропатченно linux-2.2.23-2-secure.patch

Что посоветуете? шифрование нада.. хоть какое-то...


Re: MPPE и Win2k

ppp 2.4.1 для ядра 2.4 если я не ошибаюсь? а у тебя 2.2 что же ты хочешь? сделай на 2.4

Matrix ()

Re: MPPE и Win2k

да?? я так не думаю.. у меня pppd 2.4.1 на ядре 2.2 прекрасно работает без шифрования

SunPa ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.